<?xml version="1.0" encoding="us-ascii"?>
<!--XBRL document created with Merrill Bridge  6.2.124.0 -->
<!--Based on XBRL 2.1-->
<!--Created on: 8/5/2016 1:06:20 PM-->
<!--Modified on: 8/5/2016 1:06:20 PM-->
<schema xmlns:country="http://xbrl.sec.gov/country/2013-01-31" xmlns:pfis="http://imetrix.edgar-online.com/20160630" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:us-types="http://fasb.org/us-types/2015-01-31" xmlns:us-gaap="http://fasb.org/us-gaap/2015-01-31" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:exch="http://xbrl.sec.gov/exch/2015-01-31" xmlns:sic="http://xbrl.sec.gov/sic/2011-01-31" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:invest="http://xbrl.sec.gov/invest/2013-01-31" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:dei="http://xbrl.sec.gov/dei/2014-01-31" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:stpr="http://xbrl.sec.gov/stpr/2011-01-31" xmlns:naics="http://xbrl.sec.gov/naics/2011-01-31" xmlns:currency="http://xbrl.sec.gov/currency/2014-01-31" xmlns="http://www.w3.org/2001/XMLSchema" targetNamespace="http://imetrix.edgar-online.com/20160630" attributeFormDefault="unqualified" elementFormDefault="qualified">
  <annotation>
    <appinfo>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/StatementConsolidatedBalanceSheets" id="StatementConsolidatedBalanceSheets">
        <link:definition>00100 - Statement - Consolidated Balance Sheets</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/StatementConsolidatedStatementsOfIncomeAndComprehensiveIncome" id="StatementConsolidatedStatementsOfIncomeAndComprehensiveIncome">
        <link:definition>00200 - Statement - Consolidated Statements of Income and Comprehensive Income</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/StatementConsolidatedStatementsOfCashFlows" id="StatementConsolidatedStatementsOfCashFlows">
        <link:definition>00400 - Statement - Consolidated Statements of Cash Flows</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureOtherComprehensiveIncomeLossComponentsOfAccumulatedOtherComprehensiveLossDetails" id="DisclosureOtherComprehensiveIncomeLossComponentsOfAccumulatedOtherComprehensiveLossDetails">
        <link:definition>40201 - Disclosure - Other comprehensive income (loss) - Components of Accumulated Other Comprehensive Loss (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureInvestmentSecuritiesAmortizedCostAndFairValueOfInvestmentSecuritiesAggregatedByInvestmentCategoryDetails" id="DisclosureInvestmentSecuritiesAmortizedCostAndFairValueOfInvestmentSecuritiesAggregatedByInvestmentCategoryDetails">
        <link:definition>40401 - Disclosure - Investment securities - Amortized Cost and Fair Value of Investment Securities Aggregated by Investment Category (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureInvestmentSecuritiesMaturityDistributionOfDebtSecuritiesClassifiedAsAvailableForSaleDetails" id="DisclosureInvestmentSecuritiesMaturityDistributionOfDebtSecuritiesClassifiedAsAvailableForSaleDetails">
        <link:definition>40402 - Disclosure - Investment securities - Maturity Distribution of Debt Securities Classified as Available-for-Sale (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureInvestmentSecuritiesSummaryOfAmortizedCostAndFairValueOfSecuritiesByContractualMaturityDetails" id="DisclosureInvestmentSecuritiesSummaryOfAmortizedCostAndFairValueOfSecuritiesByContractualMaturityDetails">
        <link:definition>40403 - Disclosure - Investment securities - Summary of Amortized Cost and Fair Value of Securities by Contractual Maturity (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureInvestmentSecuritiesFairValueAndUnrealizedLossesOfInvestmentSecuritiesInContinuousUnrealizedLossPositionDetails" id="DisclosureInvestmentSecuritiesFairValueAndUnrealizedLossesOfInvestmentSecuritiesInContinuousUnrealizedLossPositionDetails">
        <link:definition>40405 - Disclosure - Investment securities - Fair Value and Unrealized Losses of Investment Securities in Continuous Unrealized Loss Position (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureLoansNetAndAllowanceForLoanLossesChangesInAllowanceForLoanLossesAccountByMajorClassificationOfLoansDetails" id="DisclosureLoansNetAndAllowanceForLoanLossesChangesInAllowanceForLoanLossesAccountByMajorClassificationOfLoansDetails">
        <link:definition>40503 - Disclosure - Loans, net and allowance for loan losses - Changes in Allowance for Loan Losses Account by Major Classification of Loans (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureLoansNetAndAllowanceForLoanLossesMajorClassificationOfLoansByPastDueStatusDetails" id="DisclosureLoansNetAndAllowanceForLoanLossesMajorClassificationOfLoansByPastDueStatusDetails">
        <link:definition>40507 - Disclosure - Loans, net and allowance for loan losses - Major Classification of Loans by Past Due Status (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureOtherAssetsComponentsOfOtherAssetsDetails" id="DisclosureOtherAssetsComponentsOfOtherAssetsDetails">
        <link:definition>40601 - Disclosure - Other assets - Components of Other Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureFairValueEstimatesCarryingAndFairValuesOfFinancialInstrumentsDetails" id="DisclosureFairValueEstimatesCarryingAndFairValuesOfFinancialInstrumentsDetails">
        <link:definition>40705 - Disclosure - Fair value estimates - Carrying and Fair Values of Financial Instruments (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureEmployeeBenefitPlansNetPeriodicPensionCostDetails" id="DisclosureEmployeeBenefitPlansNetPeriodicPensionCostDetails">
        <link:definition>40802 - Disclosure - Employee benefit plans - Net Periodic Pension Cost (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DocumentDocumentAndEntityInformation" id="DocumentDocumentAndEntityInformation">
        <link:definition>00090 - Document - Document and Entity Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/StatementConsolidatedBalanceSheetsParenthetical" id="StatementConsolidatedBalanceSheetsParenthetical">
        <link:definition>00105 - Statement - Consolidated Balance Sheets (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/StatementConsolidatedStatementsOfChangesInStockholdersEquity" id="StatementConsolidatedStatementsOfChangesInStockholdersEquity">
        <link:definition>00300 - Statement - Consolidated Statements of Changes in Stockholders' Equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/StatementConsolidatedStatementsOfChangesInStockholdersEquityParenthetical" id="StatementConsolidatedStatementsOfChangesInStockholdersEquityParenthetical">
        <link:definition>00305 - Statement - Consolidated Statements of Changes in Stockholders' Equity (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureSummaryOfSignificantAccountingPolicies" id="DisclosureSummaryOfSignificantAccountingPolicies">
        <link:definition>10101 - Disclosure - Summary of significant accounting policies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureOtherComprehensiveIncomeLoss" id="DisclosureOtherComprehensiveIncomeLoss">
        <link:definition>10201 - Disclosure - Other comprehensive income (loss)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureEarningsPerShare" id="DisclosureEarningsPerShare">
        <link:definition>10301 - Disclosure - Earnings per share</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureInvestmentSecurities" id="DisclosureInvestmentSecurities">
        <link:definition>10401 - Disclosure - Investment securities</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureLoansNetAndAllowanceForLoanLosses" id="DisclosureLoansNetAndAllowanceForLoanLosses">
        <link:definition>10501 - Disclosure - Loans, net and allowance for loan losses</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureOtherAssets" id="DisclosureOtherAssets">
        <link:definition>10601 - Disclosure - Other assets</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureFairValueEstimates" id="DisclosureFairValueEstimates">
        <link:definition>10701 - Disclosure - Fair value estimates</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureEmployeeBenefitPlans" id="DisclosureEmployeeBenefitPlans">
        <link:definition>10801 - Disclosure - Employee benefit plans</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureOtherComprehensiveIncomeLossTables" id="DisclosureOtherComprehensiveIncomeLossTables">
        <link:definition>30203 - Disclosure - Other comprehensive income (loss) (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureEarningsPerShareTables" id="DisclosureEarningsPerShareTables">
        <link:definition>30303 - Disclosure - Earnings per share (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureInvestmentSecuritiesTables" id="DisclosureInvestmentSecuritiesTables">
        <link:definition>30403 - Disclosure - Investment securities (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureLoansNetAndAllowanceForLoanLossesTables" id="DisclosureLoansNetAndAllowanceForLoanLossesTables">
        <link:definition>30503 - Disclosure - Loans, net and allowance for loan losses (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureOtherAssetsTables" id="DisclosureOtherAssetsTables">
        <link:definition>30603 - Disclosure - Other assets (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureFairValueEstimatesTables" id="DisclosureFairValueEstimatesTables">
        <link:definition>30703 - Disclosure - Fair value estimates (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureEmployeeBenefitPlansTables" id="DisclosureEmployeeBenefitPlansTables">
        <link:definition>30803 - Disclosure - Employee benefit plans (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureSummaryOfSignificantAccountingPoliciesAdditionalInformationDetails" id="DisclosureSummaryOfSignificantAccountingPoliciesAdditionalInformationDetails">
        <link:definition>40101 - Disclosure - Summary of significant accounting policies - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureOtherComprehensiveIncomeLossOtherComprehensiveIncomeLossAndRelatedTaxEffectsDetails" id="DisclosureOtherComprehensiveIncomeLossOtherComprehensiveIncomeLossAndRelatedTaxEffectsDetails">
        <link:definition>40202 - Disclosure - Other comprehensive income (loss) - Other Comprehensive Income (Loss) and Related Tax Effects (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureEarningsPerShareSharesConsideredAntiDilutiveDetails" id="DisclosureEarningsPerShareSharesConsideredAntiDilutiveDetails">
        <link:definition>40301 - Disclosure - Earnings per share - Shares Considered Anti-dilutive (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureEarningsPerShareScheduleOfEarningsPerShareDetails" id="DisclosureEarningsPerShareScheduleOfEarningsPerShareDetails">
        <link:definition>40302 - Disclosure - Earnings per share - Schedule of Earnings per Share (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureInvestmentSecuritiesAdditionalInformationDetails" id="DisclosureInvestmentSecuritiesAdditionalInformationDetails">
        <link:definition>40404 - Disclosure - Investment securities - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureLoansNetAndAllowanceForLoanLossesAdditionalInformationDetails" id="DisclosureLoansNetAndAllowanceForLoanLossesAdditionalInformationDetails">
        <link:definition>40501 - Disclosure - Loans, net and allowance for loan losses - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureLoansNetAndAllowanceForLoanLossesMajorClassificationsOfLoansOutstandingDetails" id="DisclosureLoansNetAndAllowanceForLoanLossesMajorClassificationsOfLoansOutstandingDetails">
        <link:definition>40502 - Disclosure - Loans, net and allowance for loan losses - Major Classifications of Loans Outstanding (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureLoansNetAndAllowanceForLoanLossesAllocationOfAllowanceForLoanLossesAndRelatedLoansByMajorClassificationOfLoansDetails" id="DisclosureLoansNetAndAllowanceForLoanLossesAllocationOfAllowanceForLoanLossesAndRelatedLoansByMajorClassificationOfLoansDetails">
        <link:definition>40504 - Disclosure - Loans, net and allowance for loan losses - Allocation of Allowance for Loan Losses and Related Loans by Major Classification of Loans (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureLoansNetAndAllowanceForLoanLossesMajorClassificationOfLoansPortfolioSummarizedByCreditQualityDetails" id="DisclosureLoansNetAndAllowanceForLoanLossesMajorClassificationOfLoansPortfolioSummarizedByCreditQualityDetails">
        <link:definition>40505 - Disclosure - Loans, net and allowance for loan losses - Major Classification of Loans Portfolio Summarized by Credit Quality (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureLoansNetAndAllowanceForLoanLossesInformationConcerningNonaccrualLoansByMajorLoanClassificationDetails" id="DisclosureLoansNetAndAllowanceForLoanLossesInformationConcerningNonaccrualLoansByMajorLoanClassificationDetails">
        <link:definition>40506 - Disclosure - Loans, net and allowance for loan losses - Information Concerning Nonaccrual Loans by Major Loan Classification (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureLoansNetAndAllowanceForLoanLossesSummarizeInformationInConcerningToImpairedLoansDetails" id="DisclosureLoansNetAndAllowanceForLoanLossesSummarizeInformationInConcerningToImpairedLoansDetails">
        <link:definition>40508 - Disclosure - Loans, net and allowance for loan losses - Summarize Information in Concerning to Impaired Loans (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureFairValueEstimatesAdditionalInformationDetails" id="DisclosureFairValueEstimatesAdditionalInformationDetails">
        <link:definition>40701 - Disclosure - Fair value estimates - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureFairValueEstimatesScheduleOfAssetsAndLiabilitiesMeasuredAtFairValueOnRecurringBasisDetails" id="DisclosureFairValueEstimatesScheduleOfAssetsAndLiabilitiesMeasuredAtFairValueOnRecurringBasisDetails">
        <link:definition>40702 - Disclosure - Fair value estimates - Schedule of Assets and Liabilities Measured at Fair Value on Recurring Basis (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureFairValueEstimatesScheduleOfAssetsAndLiabilitiesMeasuredAtFairValueOnNonrecurringBasisDetails" id="DisclosureFairValueEstimatesScheduleOfAssetsAndLiabilitiesMeasuredAtFairValueOnNonrecurringBasisDetails">
        <link:definition>40703 - Disclosure - Fair value estimates - Schedule of Assets and Liabilities Measured at Fair Value on Nonrecurring Basis (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureFairValueEstimatesAdditionalQuantitativeInformationAboutAssetsMeasuredAtFairValueOnNonrecurringBasisDetails" id="DisclosureFairValueEstimatesAdditionalQuantitativeInformationAboutAssetsMeasuredAtFairValueOnNonrecurringBasisDetails">
        <link:definition>40704 - Disclosure - Fair value estimates - Additional Quantitative Information about Assets Measured at Fair Value on Nonrecurring Basis (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://imetrix.edgar-online.com/role/DisclosureEmployeeBenefitPlansSalariesAndEmployeeBenefitsExpenseDetails" id="DisclosureEmployeeBenefitPlansSalariesAndEmployeeBenefitsExpenseDetails">
        <link:definition>40801 - Disclosure - Employee benefit plans - Salaries and Employee Benefits Expense (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:linkbaseRef xlink:type="simple" xlink:href="pfis-20160630_pre.xml" xlink:title="Presentation Links, all" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="pfis-20160630_cal.xml" xlink:title="Calculation Links, all" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="pfis-20160630_def.xml" xlink:title="Definition Links, all" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="pfis-20160630_lab.xml" xlink:title="Label Links, all" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
    </appinfo>
  </annotation>
  <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" />
  <import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd" />
  <import namespace="http://www.xbrl.org/dtr/type/numeric" schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd" />
  <import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />
  <import namespace="http://xbrl.sec.gov/dei/2014-01-31" schemaLocation="http://xbrl.sec.gov/dei/2014/dei-2014-01-31.xsd" />
  <import namespace="http://xbrl.sec.gov/invest/2013-01-31" schemaLocation="http://xbrl.sec.gov/invest/2013/invest-2013-01-31.xsd" />
  <import namespace="http://www.xbrl.org/2009/role/negated" schemaLocation="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd" />
  <import namespace="http://fasb.org/us-gaap/2015-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd" />
  <element name="AccruedInterestPayableFairValueDisclosure" id="pfis_AccruedInterestPayableFairValueDisclosure" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="instant" />
  <element name="AccruedInterestReceivableFairValueDisclosure" id="pfis_AccruedInterestReceivableFairValueDisclosure" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="instant" />
  <element name="CashPaidDuringPeriodForAbstract" id="pfis_CashPaidDuringPeriodForAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration" />
  <element name="DeferredLoanCostsNet" id="pfis_DeferredLoanCostsNet" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="instant" />
  <element id="pfis_DefinedBenefitPlanAmortizationOfUnrecognizedGainsLosses" name="DefinedBenefitPlanAmortizationOfUnrecognizedGainsLosses" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <element name="DocumentAndEntityInformationAbstract" id="pfis_DocumentAndEntityInformationAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration" />
  <element name="EmployeeBenefitPlansMember" id="pfis_EmployeeBenefitPlansMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration" />
  <element name="FeesMerchantServices" id="pfis_FeesMerchantServices" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="duration" />
  <element name="ImpairedLoansFairValueDisclosure" id="pfis_ImpairedLoansFairValueDisclosure" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="instant" />
  <element name="ImpairedLoansMember" id="pfis_ImpairedLoansMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration" />
  <element name="InterestAndFeeIncomeLoansTaxExempt" id="pfis_InterestAndFeeIncomeLoansTaxExempt" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="InvestmentSecuritiesAbstract" id="pfis_InvestmentSecuritiesAbstract" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration" />
  <element name="LifeInsuranceInvestmentIncome" id="pfis_LifeInsuranceInvestmentIncome" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="credit" xbrli:periodType="duration" />
  <element name="MortgageBackedUsGovernmentAgenciesMember" id="pfis_MortgageBackedUsGovernmentAgenciesMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration" />
  <element name="MortgageServicingRights" id="pfis_MortgageServicingRights" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="instant" />
  <element name="NumberOfFullServiceBankingOffices" id="pfis_NumberOfFullServiceBankingOffices" type="xbrli:integerItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:periodType="duration" />
  <element name="NumberOfSecuritiesInContinuousUnrealizedLossPosition" id="pfis_NumberOfSecuritiesInContinuousUnrealizedLossPosition" type="xbrli:integerItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:periodType="duration" />
  <element name="NumberOfSecuritiesInContinuousUnrealizedLossPosition12MonthsOrLonger" id="pfis_NumberOfSecuritiesInContinuousUnrealizedLossPosition12MonthsOrLonger" type="xbrli:integerItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:periodType="duration" />
  <element name="OtherRealEstateOwnedFairValueDisclosure" id="pfis_OtherRealEstateOwnedFairValueDisclosure" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="instant" />
  <element name="OtherRealEstateOwnedMember" id="pfis_OtherRealEstateOwnedMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration" />
  <element id="pfis_PaymentsForRedemptionOfCommonStock" name="PaymentsForRedemptionOfCommonStock" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <element name="RangeAndWeightedAverageOfAppraisalAdjustments" id="pfis_RangeAndWeightedAverageOfAppraisalAdjustments" type="num:percentItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:periodType="instant" />
  <element name="RangeAndWeightedAverageOfLiquidationExpenses" id="pfis_RangeAndWeightedAverageOfLiquidationExpenses" type="num:percentItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:periodType="instant" />
  <element name="RealEstateInvestmentsResidentialHousingProgram" id="pfis_RealEstateInvestmentsResidentialHousingProgram" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" abstract="false" nillable="true" xbrli:balance="debit" xbrli:periodType="instant" />
  <element name="UsGovernmentAgencyAndSponsoredEnterprisesMember" id="pfis_UsGovernmentAgencyAndSponsoredEnterprisesMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration" />
  <element id="pfis_ImpairedLoansWithSpecificReserve" name="ImpairedLoansWithSpecificReserve" nillable="true" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="debit" />
</schema>
